Bug 999857 - Second XLS Decision Table upload fails
Second XLS Decision Table upload fails
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER4
: 6.0.0
Assigned To: manstis
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 05:33 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:19:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error popup with HTTP Status 500 (127.37 KB, image/png)
2013-08-22 05:33 EDT, Zuzana Krejčová
no flags Details
server log excerpt (6.07 KB, text/x-log)
2013-08-22 05:34 EDT, Zuzana Krejčová
no flags Details

  None (edit)
Description Zuzana Krejčová 2013-08-22 05:33:34 EDT
Created attachment 789104 [details]
error popup with HTTP Status 500

Description of problem:
First Spreadsheet/XLS DT is created and uploaded just fine. Trying to create and upload another one right away results in error pop-up with HTTP Status 500 (see screenshot) and exception stacktrace in server log (see the other attachment).


Version-Release number of selected component (if applicable):
6.0 ER1


How reproducible:


Steps to Reproduce:
1. Open the business-central, Project Authoring, some group, repository, project and package.
2. Click New Item and choose Decision Table (Spreadsheet), type some name and select some XLS file to upload. Click OK.
3. Dismiss the alert saying that the upload was successful.
4. Repeat step 2 with a different name (and optionally different file).


Actual results:
"Upload failed: <h1>JBWEB000065: HTTP Status 500 - No enum constant org.guvnor.common.services.shared.file.upload.FileOperation.</h1>...."


Expected results:
Succesful upload of the second file.


Additional info:
1. The problem can be avoided if you relog between the uploads.
2. I find it curious that a problem with file upload experienced while working with XLS DTs has "at org.jbpm.designer. ..." in the exception stacktrace.
3. The error pop-up will be filed as a separate BZ.
Comment 1 Zuzana Krejčová 2013-08-22 05:34:10 EDT
Created attachment 789105 [details]
server log excerpt
Comment 6 Radovan Synek 2013-10-16 03:29:48 EDT
Verified on BPMS-6.0.0.ER4

Note You need to log in before you can comment on or make changes to this bug.